MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003946ATutorInstallationpublic2009-09-29 10:132009-11-05 11:11
Reportergreg 
Assigned Tocindy 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version1.6.4 
Summary0003946: member table address bug
DescriptionThe creation of the member table inserts an address filed with NOT NULL. Address is optional so NULL values should be accepted.
TagsNo tags attached.
Affects versionSVN
SVN Revision#
Attached Files

- Relationships

-  Notes
(0003805)
harris (developer)
2009-10-26 09:54

We can save data as '', an empty string.

Is there another reason why we should allow null?
(0003824)
cindy (administrator)
2009-11-05 08:09

svn revision: 8872

solution: replace all field definition of "text not null" with "text"

affected script: install/db/atutor_schema.sql
(0003826)
cindy (administrator)
2009-11-05 09:22

svn revision: 8875

modify upgrade sql file

affected script: install/db/atutor_upgrade_1.6.3_1.6.4.sql

- Issue History
Date Modified Username Field Change
2009-09-29 10:13 greg New Issue
2009-09-29 10:13 greg Affects version => SVN
2009-10-26 09:54 harris Note Added: 0003805
2009-11-04 11:29 greg Status new => assigned
2009-11-04 11:29 greg Assigned To => cindy
2009-11-05 08:09 cindy Status assigned => resolved
2009-11-05 08:09 cindy Fixed in Version => 1.6.4
2009-11-05 08:09 cindy Resolution open => fixed
2009-11-05 08:09 cindy Note Added: 0003824
2009-11-05 09:21 cindy Status resolved => feedback
2009-11-05 09:21 cindy Resolution fixed => reopened
2009-11-05 09:22 cindy Status feedback => resolved
2009-11-05 09:22 cindy Resolution reopened => fixed
2009-11-05 09:22 cindy Note Added: 0003826
2009-11-05 11:11 greg Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker